> For the complete documentation index, see [llms.txt](https://docs.bancor.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bancor.network/guides/bancor-etherscan-guide/rewards-stake-and-claim.md).

# Rewards: Stake & Claim

This section explains how to identify the number of pending rewards, and how to stake or claim them.

### Pending Rewards

How to identify the number of rewards you are eligible for and can claim?

* Visit the *`StandardRewards`* contract [on etherscan](https://etherscan.io/address/0xb0B958398ABB0b5DB4ce4d7598Fb868f5A00f372#readProxyContract)
* Execute the `pendingRewards` function (this is a Read function)

![](/files/hBXUhtErbxNDbVM4t4NP)

`Input variable`

| Name     | Type             | Description                                                                         |
| -------- | ---------------- | ----------------------------------------------------------------------------------- |
| provider | address          | Your wallet address                                                                 |
| ids      | array of uint256 | 1 or more reward program IDs (must be IDs for programs with the same rewards token) |

`Output response`

| Name         | Type    | Description                                        |
| ------------ | ------- | -------------------------------------------------- |
| rewardAmount | uint256 | The current available claimable rewards in *`WEI`* |

### Staking Rewards

This section explains how to stake the rewards into a bancor pool

* Visit the *`StandardRewards`* contract [on etherscan](https://etherscan.io/address/0xb0B958398ABB0b5DB4ce4d7598Fb868f5A00f372#writeProxyContract)
* Execute the `stakeRewards` function (this is a Write function)

![](/files/QZwJ94jm1UZEhirUC65d)

`Input variable`

| Name | Type             | Description                                                                         |
| ---- | ---------------- | ----------------------------------------------------------------------------------- |
| ids  | array of uint256 | 1 or more reward program IDs (must be IDs for programs with the same rewards token) |

Once executed, **ALL** pending rewards will be staked into the relevant pool, and you will receive the bnTokens to represent your share in the pool.

If the pool has any "standard rewards" which require manual opt-in, you would need to join the relevant rewards plan.

### Claiming Rewards

This section explains how to claim the rewards into your wallet

* Visit the *`StandardRewards`* contract [on etherscan](https://etherscan.io/address/0xb0B958398ABB0b5DB4ce4d7598Fb868f5A00f372#writeProxyContract)
* Execute the `claimRewards` function (this is a Write function)

![](/files/K9vanHKfmcTwDQzVIZft)

`Input variable`

| Name | Type             | Description                                                                         |
| ---- | ---------------- | ----------------------------------------------------------------------------------- |
| ids  | array of uint256 | 1 or more reward program IDs (must be IDs for programs with the same rewards token) |

Once executed, **ALL** pending rewards will be claimed into your wallet.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bancor.network/guides/bancor-etherscan-guide/rewards-stake-and-claim.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
